Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 5717

Summary: Replace all references to /etc/conf.modules with /etc/modules.conf
Product: [Retired] Red Hat Linux Reporter: Keith Owens <kaos>
Component: modutilsAssignee: Michael K. Johnson <johnsonm>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 6.1   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://www.progressive-comp.com/Lists/?l=linux-kernel&m=93935630009047&w=2
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-02 05:03:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Keith Owens 1999-10-08 09:50:35 UTC
As modutils maintainer, the inconsistent use of conf.modules
instead of modules.conf has been annoying me.  Starting with
modutils-2.3.4, modutils will warn about conf.modules.  When
kernel/modutils 2.5 is released, that warning will become an
error.

I am notifying all distributions that I can contact about
this change and requesting that all documentation (other
than modutils itself) be checked for conf.modules and
changed where necessary.

Comment 1 Bill Nottingham 1999-10-08 15:51:59 UTC
Duly noted.

Initial plan is to move conf.modules to modules.conf on upgrade,
& create a symlink (and fix the various tools).  Probably won't
be implemented here for a little while, though.

Comment 2 Cristian Gafton 2000-01-04 22:29:59 UTC
Assigned to dledford

Comment 3 Jeremy Katz 2000-02-02 05:03:59 UTC
This still hasn't been resolved in current Rawhide.  Considering I'd say the
chances are medium-high to high that 2.4.x will come out after the release of
the next version of Red Hat, and that at the same time, people will need to
upgrade modutils for stuff to work "correctly", it would be good if all the
tools already knew they should be using modules.conf instead of conf.modules.

Comment 4 Trond Eivind Glomsrxd 2001-03-13 15:39:13 UTC
It has been fixed for some time now.